export enum Icons {
  ADD = 'add',
  BACK = 'ios-arrow-back',
  BACKSPACE = 'backspace-outline',
  BATTERY = 'ios-battery-charging-outline',
  BATTERY_CHARGING_FIILED = 'ios-battery-charging',
  BATTERY_DEAD = 'battery-empty',
  BATTERY_THREE_QUARTER = 'battery-three-quarters',
  BATTERY_QUARTER = 'battery-quarter',
  BATTERY_HALF = 'battery-half',
  BATTERY_FULL = 'battery-full',
  CALENDAR = 'calendar-sharp',
  CANCEL_TIMER = 'timer-off-outline',
  CAR = 'ios-car-sport-sharp',
  CAR_FILLED = 'ios-car-sport',
  CAR_SEAT_HEATERS = 'car-seat-heater',
  CELLULAR_FILLED = 'ios-cellular',
  CELLULAR = 'ios-cellular-outline',
  CHART = 'ios-stats-chart-outline',
  CHART_FILLED = 'ios-stats-chart-sharp',
  CHEVRON_DOWN = 'ios-chevron-down',
  CHEVRON_UP = 'ios-chevron-up',
  CLOCK = 'timer-outline',
  CLOSE = 'close',
  CONTACT = 'ios-person-circle-sharp',
  DEFROST = 'car-defrost-front',
  DESKTOP_FILLED = 'ios-desktop',
  DESKTOP = 'ios-desktop-outline',
  EYE = 'eye',
  EYE_OFF = 'eye-off',
  FAN = 'fan',
  FAN_OFF = 'fan-off',
  FLASH = 'ios-flash-outline',
  FLASH_FIILED = 'ios-flash-sharp',
  FLASH_LIGHT = 'car-light-high',
  HOME = 'ios-home',
  HORN = 'bullhorn',
  INFO_FILLED = 'ios-information-circle',
  INFO = 'ios-information-circle-outline',
  MAP = 'ios-map-outline',
  MAP_FILLED = 'ios-map',
  MENU = 'ios-menu',
  MENU_ELLIPSIS = 'ios-ellipsis-vertical-sharp',
  NAVIGATE = 'ios-navigate-circle-outline',
  NAVIGATE_RIGHT = 'return-down-forward',
  KEY = 'key',
  LOCK = 'md-lock-closed-outline',
  UNLOCK = 'md-lock-open-outline',
  PAW = 'ios-paw-outline',
  PAW_FILLED = 'ios-paw-sharp',
  PLAY = 'play-circle',
  PLAY_BACK = 'play-skip-back',
  PLAY_FORWARD = 'play-skip-forward',
  PLAY_PAUSE = 'play-pause',
  REFRESH = 'spinner-refresh',
  REMOVE = 'remove',
  REPEAT = 'repeat-once',
  ROOF = 'home-roof',
  SETTINGS = 'settings-sharp',
  SIGN_OUT = 'ios-open-outline',
  SPEEDOMETER = 'speedometer-outline',
  STEERING_WHEEL = 'steering',
  SUNGLASSES = 'sunglasses',
  SUNNY = 'ios-sunny',
  THERMOMETER = 'ios-thermometer-outline',
  WINDOW_OPEN = 'window-open',
  WINDOW_CLOSED = 'window-closed',

  // Custom icons go here
  WHEEL = 'wheel',
  TRUNK = 'trunk-open',
  FRUNK = 'frunk-open',
}

export enum CustomIcons {
  WHEEL = 'wheel',
  TRUNK = 'trunk-open',
  FRUNK = 'frunk-open',
}

export enum FontisoIcons {
  BATTERY_DEAD = 'battery-empty',
  BATTERY_THREE_QUARTER = 'battery-three-quarters',
  BATTERY_QUARTER = 'battery-quarter',
  BATTERY_HALF = 'battery-half',
  BATTERY_FULL = 'battery-full',
  REFRESH = 'spinner-refresh',
}

export enum MaterialIcons {
  CANCEL_TIMER = 'timer-off-outline',
  CAR_SEAT_HEATERS = 'car-seat-heater',
  DEFROST = 'car-defrost-front',
  FAN = 'fan',
  FAN_OFF = 'fan-off',
  FLASH_LIGHT = 'car-light-high',
  HORN = 'bullhorn',
  PLAY_PAUSE = 'play-pause',
  REPEAT = 'repeat-once',
  ROOF = 'home-roof',
  STEERING_WHEEL = 'steering',
  SUNGLASSES = 'sunglasses',
  WINDOW_OPEN = 'window-open',
  WINDOW_CLOSED = 'window-closed',
}

export enum IconSize {
  large = 45,
  big = 35,
  medium = 30,
  small = 25,
  xsmall = 20,
  xxsmall = 15,
}
